Summary:	A Gnome based SIP/H323 teleconferencing application
Name:		ekiga
Version:	3.2.0
Release:	3.1.moblin2
URL:		http://www.ekiga.org/
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/ekiga/3.1/%{name}-%{version}.tar.bz2
Patch1:		ekiga-3.2.0-malloc.patch
Patch2:		ekiga-3.2.0-ptlib-devices.patch
Patch3:     ekiga-3.2.0-debuginfo.patch
Patch4:     ekiga-3.2.0-invalid_address.patch
License:	GPLv2+
Group:		Applications/Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	evolution-data-server
Requires:	dbus
Requires:	GConf2
BuildRequires:	gtk2-devel
BuildRequires:	GConf2-devel
BuildRequires:	libnotify-devel
BuildRequires:	avahi-devel
BuildRequires:	avahi-glib-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	ptlib-devel >= 2.6.0
BuildRequires:	opal-devel >= 3.6.0
BuildRequires:	libxml2-devel
BuildRequires:	libXv-devel
BuildRequires:	intltool >= 0.22
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper
BuildRequires:	alsa-lib-devel
BuildRequires:	gettext
BuildRequires:	evolution-data-server-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	desktop-file-utils
BuildRequires:	libsigc++-devel
BuildRequires:	speex-devel
BuildRequires:	expat-devel
BuildRequires:	SDL-devel

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2
Requires(post):	scrollkeeper
Requires(postun):scrollkeeper

%description
Ekiga is a tool to communicate with video and audio over the internet.
It uses the standard SIP and H323 protocols.

%prep
%setup -q
%patch1 -p1 -b .malloc
%patch2 -p1 -b .ptlib-devices
%patch3 -p1 -b .debuginfo
%patch4 -p1 -b .invalid_address

%build
unset LD_AS_NEEDED
CXXFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED=1 -fPIC"
%configure --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

# Replace identical images in the help by links.
# This reduces the RPM size by several megabytes.
helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

desktop-file-install --vendor gnome \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --copy-generic-name-to-name \
  $RPM_BUILD_ROOT%{_datadir}/applications/ekiga.desktop

%find_lang ekiga --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :

scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/ekiga.schemas > /dev/null || :
fi

touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
scrollkeeper-update -q || :

%files -f ekiga.lang
%defattr(-,root,root)
%doc COPYING AUTHORS FAQ NEWS
%{_bindir}/ekiga
%{_bindir}/ekiga-helper
%{_bindir}/ekiga-config-tool
%{_datadir}/applications/gnome-ekiga.desktop
%{_datadir}/pixmaps/ekiga
%{_datadir}/man/*/*
%{_datadir}/sounds/ekiga
%{_datadir}/dbus-1/services/org.ekiga.*
%{_datadir}/icons/hicolor/*/apps/ekiga.png
%{_sysconfdir}/gconf/schemas/ekiga.schemas

%changelog
* Fri Sep 11 2009 Zhang Chen <zhang.z.chen@intel.com> - 3.2.0-3
- Fixed bug 6047, application crashed when calling invalid number
* Wed Sep  9 2009 Xu Li <xu.li@intel.com> - 3.2.0-2
- Fix the BuidRequires of libsigc++
* Tue Sep  8 2009 Xu Li <xu.li@intel.com> - 3.2.0-2
- Add patch to fix the error when abstracting debug info from binaries
- Unset LD_AS_NEEDED to fix build error
* Thu Aug 27 2009 Zhang Qiang <qiang.z.zhang@intel.com>  - 3.2.0-2
- Initial import to Moblin
* Mon Apr 20 2009 Peter Robinson <pbrobinson@gmail.com> - 3.2.0-2
- Add a couple of upstream patches from 3.2.1
* Tue Mar 17 2009 Peter Robinson <pbrobinson@gmail.com> - 3.2.0-1
- Ekiga 3.2.0 stable
* Fri Mar  6 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.2-4
- Remove CELT until the bitstream is stable and can hence intercommunicate between versions
* Tue Mar  3 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.2-3
- Remove autoconf bits
* Tue Mar  3 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.2-2
- Disable xcap for the moment so ekiga builds
* Tue Mar  3 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.2-1
- Upgrade to the 3.1.2 beta release, enable celt codec, reinstate
  proper desktop file now its fixed
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 3.1.0-10
- rebuild with new openssl
- add libtoolize call to replace libtool with current version
* Thu Jan 15 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-9
- Add other buildreq for Makefile regen
* Thu Jan 15 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-8
- Regen Makefile.in using autoreconf due to patch
* Wed Jan 14 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-7
- Another fix
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-6
- And SDL too
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-5
- Add expat-devel, why not everything else wants it
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-4
- Disable gstreamer support until there's a new gst-plugins-base
* Tue Jan 13 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-3
- Proper fix from upstream for desktop file
* Wed Jan  7 2009 Peter Robinson <pbrobinson@gmail.com> - 3.1.0-2
- Fix issues with the desktop file
